Main Page Modules Data Structures File List Data Fields Globals Related Pages

# Hash Functions: MD5

## Files
file | md5.c
| MD5 hash function, code.

file | md5.h
| MD5 hash function, header.

## Data Structures
struct | md5Param
## Functions
void | md5Finish (md5Param *p)
void | md5Process (md5Param *p)
int | md5Reset (md5Param *p)
int | md5Update (md5Param *p, const byte *data, int size)
int | md5Digest (md5Param *p, uint32 *data)
## Variables
uint32 | md5hinit [4] = { 0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476 }
const hashFunction | md5

## Function Documentation

int md5Digest | ( | md5Param * | p,
|  | uint32 * | data
| ) |

| Definition at line 241 of file md5.c.

void md5Finish | ( | md5Param * | p | ) | `[static]`

| Definition at line 200 of file md5.c. References md5Process, swapu32, and uint32. Referenced by md5Digest.

void md5Process | ( | md5Param * | p | ) |

| Definition at line 76 of file md5.c. Referenced by md5Finish, and md5Update.

int md5Reset | ( | md5Param * | p | ) |

| Referenced by md5Digest.

int md5Update | ( | md5Param * | p,
|  | const byte * | data,
|  | int | size
| ) |

| Definition at line 174 of file md5.c.

## Variable Documentation

const hashFunction md5

| Definition at line 50 of file md5.h.

uint32 md5hinit[4] = { 0x67452301, 0xefcdab89, 0x98badcfe, 0x10325476 }`[static]`

| Definition at line 37 of file md5.c. Referenced by md5Reset.